Bullet Collision Detection & Physics Library: BT_QUANTIZED_BVH_NODE Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
BT_QUANTIZED_BVH_NODE Struct Reference

btQuantizedBvhNode is a compressed aabb node, 16 bytes. More...

`#include <btGImpactQuantizedBvhStructs.h>`

## Public Member Functions
| BT_QUANTIZED_BVH_NODE ()
bool | isLeafNode () const
int | getEscapeIndex () const
void | setEscapeIndex (int index)
int | getDataIndex () const
void | setDataIndex (int index)
bool | testQuantizedBoxOverlapp (unsigned short *quantizedMin, unsigned short *quantizedMax) const

## Public Attributes
unsigned short int | m_quantizedAabbMin [3]
unsigned short int | m_quantizedAabbMax [3]
int | m_escapeIndexOrDataIndex

## Detailed Description

btQuantizedBvhNode is a compressed aabb node, 16 bytes.

Node can be used for leafnode or internal node. Leafnodes can point to 32-bit triangle index (non-negative range).

Definition at line 32 of file btGImpactQuantizedBvhStructs.h.

## Constructor & Destructor Documentation

## ◆ BT_QUANTIZED_BVH_NODE()

BT_QUANTIZED_BVH_NODE::BT_QUANTIZED_BVH_NODE | ( |  | ) |
| inline

Definition at line 41 of file btGImpactQuantizedBvhStructs.h.

## Member Function Documentation

## ◆ getDataIndex()

int BT_QUANTIZED_BVH_NODE::getDataIndex | ( |  | ) | const
| inline

Definition at line 63 of file btGImpactQuantizedBvhStructs.h.

## ◆ getEscapeIndex()

int BT_QUANTIZED_BVH_NODE::getEscapeIndex | ( |  | ) | const
| inline

Definition at line 52 of file btGImpactQuantizedBvhStructs.h.

## ◆ isLeafNode()

bool BT_QUANTIZED_BVH_NODE::isLeafNode | ( |  | ) | const
| inline

Definition at line 46 of file btGImpactQuantizedBvhStructs.h.

## ◆ setDataIndex()

void BT_QUANTIZED_BVH_NODE::setDataIndex | ( | int | index | ) |
| inline

Definition at line 70 of file btGImpactQuantizedBvhStructs.h.

## ◆ setEscapeIndex()

void BT_QUANTIZED_BVH_NODE::setEscapeIndex | ( | int | index | ) |
| inline

Definition at line 58 of file btGImpactQuantizedBvhStructs.h.

## ◆ testQuantizedBoxOverlapp()

bool BT_QUANTIZED_BVH_NODE::testQuantizedBoxOverlapp | ( | unsigned short * | quantizedMin,
|  | unsigned short * | quantizedMax
| ) |  | const
| inline

Definition at line 75 of file btGImpactQuantizedBvhStructs.h.

## Member Data Documentation

## ◆ m_escapeIndexOrDataIndex

int BT_QUANTIZED_BVH_NODE::m_escapeIndexOrDataIndex

Definition at line 39 of file btGImpactQuantizedBvhStructs.h.

## ◆ m_quantizedAabbMax

unsigned short int BT_QUANTIZED_BVH_NODE::m_quantizedAabbMax[3]

Definition at line 37 of file btGImpactQuantizedBvhStructs.h.

## ◆ m_quantizedAabbMin

unsigned short int BT_QUANTIZED_BVH_NODE::m_quantizedAabbMin[3]

Definition at line 36 of file btGImpactQuantizedBvhStructs.h.

The documentation for this struct was generated from the following file:

- btGImpactQuantizedBvhStructs.h